com.google.zxing.oned

## Class EAN8Reader

- java.lang.Object
- - com.google.zxing.oned.OneDReader
  - - com.google.zxing.oned.UPCEANReader
    - - com.google.zxing.oned.EAN8Reader

- All Implemented Interfaces:
    Reader

      public final class EAN8Reader
      extends UPCEANReader

  Implements decoding of the EAN-8 format.

  Author:
    Sean Owen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EAN8Reader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `decodeMiddle(BitArray row, int[] startRange, StringBuilder result)` Subclasses override this to decode the portion of a barcode between the start and end guard patterns.

    - ### Methods inherited from class com.google.zxing.oned.UPCEANReader

      `decodeRow, decodeRow`

    - ### Methods inherited from class com.google.zxing.oned.OneDReader

      `decode, decode, patternMatchVariance, recordPattern, recordPatternInReverse, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EAN8Reader

          public EAN8Reader()

  - ### Method Detail

    - #### decodeMiddle

          protected int decodeMiddle(BitArray row,
                                     int[] startRange,
                                     StringBuilder result)
                              throws NotFoundException

      Description copied from class: `UPCEANReader`
      Subclasses override this to decode the portion of a barcode between the start and end guard patterns.
      Specified by:
        `decodeMiddle` in class `UPCEANReader`
      Parameters:
        `row` - row of black/white values to search
        `startRange` - start/end offset of start guard pattern
        `result` - `StringBuilder` to append decoded chars to
      Returns:
        horizontal offset of first pixel after the "middle" that was decoded
      Throws:
        `NotFoundException` - if decoding could not complete successfully

Copyright © 2007–2018. All rights reserved.